<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <AssemblyName>MoaServer.Model.V1</AssemblyName>
        <RootNamespace>MoaServer.Model.V1</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\MoaServer.GraphQL\MoaServer.GraphQL.csproj" />
      <ProjectReference Include="..\MoaServer.Utility\MoaServer.Utility.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.12" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.12">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.12">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="6.10.0" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="6.0.8" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Extensions" />
    </ItemGroup>

</Project>
